Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 506752 - media-sound/lilypond-2.18.2 - ERROR: Please install required programs: makeinfo >= 4.11 (installed: )
Summary: media-sound/lilypond-2.18.2 - ERROR: Please install required programs: makei...
Status: RESOLVED DUPLICATE of bug 41124
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-04 15:03 UTC by Simon MARCHUK
Modified: 2014-04-05 14:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,10.39 KB, text/plain)
2014-04-04 15:03 UTC, Simon MARCHUK
Details
environment (environment,129.58 KB, text/plain)
2014-04-04 15:04 UTC, Simon MARCHUK
Details
emerge --info '=media-sound/lilypond-2.18.2::gentoo' (emerge.info,6.17 KB, text/plain)
2014-04-04 15:05 UTC, Simon MARCHUK
Details
config.log (config.log,76.13 KB, text/plain)
2014-04-05 13:29 UTC, Simon MARCHUK
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon MARCHUK 2014-04-04 15:03:11 UTC
Hi, 

On my system =media-sound/lilypond-2.18.2 fails to emerge (update) 

The installer report problem with makeinfo not installed though it's installed: 

$ equery l texinfo 
 * Searching for texinfo ...
[IP-] [  ] sys-apps/texinfo-5.2:0
Comment 1 Simon MARCHUK 2014-04-04 15:03:53 UTC
Created attachment 374248 [details]
build.log
Comment 2 Simon MARCHUK 2014-04-04 15:04:08 UTC
Created attachment 374250 [details]
environment
Comment 3 Simon MARCHUK 2014-04-04 15:05:05 UTC
Created attachment 374252 [details]
emerge --info '=media-sound/lilypond-2.18.2::gentoo'
Comment 4 Jeroen Roovers gentoo-dev 2014-04-04 15:30:27 UTC
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-sound/lilypond-2.18.2/work/lilypond-2.18.2/config.log

Please do...
Comment 5 Simon MARCHUK 2014-04-05 13:29:24 UTC
Created attachment 374298 [details]
config.log
Comment 6 Simon MARCHUK 2014-04-05 13:29:47 UTC
(In reply to Jeroen Roovers from comment #4)
> !!! Please attach the following file when seeking support:
> !!!
> /var/tmp/portage/media-sound/lilypond-2.18.2/work/lilypond-2.18.2/config.log
> 
> Please do...

Done.
Comment 7 Simon MARCHUK 2014-04-05 14:13:32 UTC
Sorry to not look at it before, but I think the problem is in: 

$ makeinfo --version
Can't locate Locale/Messages.pm in @INC (you may need to install the Locale::Messages module) (@INC contains: /usr/share/texinfo /etc/perl /usr/local/lib64/perl5/5.18.2/x86_64-linux /usr/local/lib64/perl5/5.18.2 /usr/lib64/perl5/vendor_perl/5.18.2/x86_64-linux /usr/lib64/perl5/vendor_perl/5.18.2 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.18.2/x86_64-linux /usr/lib64/perl5/5.18.2 .) at /usr/share/texinfo/Texinfo/Report.pm line 49.
BEGIN failed--compilation aborted at /usr/share/texinfo/Texinfo/Report.pm line 49.
Compilation failed in require at /usr/share/texinfo/Texinfo/Parser.pm line 50.
BEGIN failed--compilation aborted at /usr/share/texinfo/Texinfo/Parser.pm line 50.
Compilation failed in require at /usr/bin/makeinfo line 101.
BEGIN failed--compilation aborted at /usr/bin/makeinfo line 101.

I'm performing perl-cleaner all. Should I report whether it helped after?
Comment 8 Jeroen Roovers gentoo-dev 2014-04-05 14:36:33 UTC
(In reply to Simon MARCHUK from comment #7)
> I'm performing perl-cleaner all. Should I report whether it helped after?

No, that's all right.

*** This bug has been marked as a duplicate of bug 41124 ***